# Uses of Class
ch.qos.logback.core.FileAppender

Packages that use FileAppender
Package
Description
ch.qos.logback.core.rolling
Implements various file rolling policies.

## Uses of FileAppender in ch.qos.logback.core.rolling

Subclasses of FileAppender in ch.qos.logback.core.rolling
Modifier and Type
Class
Description
`class`
`RollingFileAppender<E>`
`RollingFileAppender` extends `FileAppender` to backup the log files depending on `RollingPolicy` and `TriggeringPolicy`.
Methods in ch.qos.logback.core.rolling with parameters of type FileAppender
Modifier and Type
Method
Description
`void`
RollingPolicy.`setParent(FileAppender<?> appender)`
This method allows RollingPolicy implementations to be aware of their containing appender.
`void`
RollingPolicyBase.`setParent(FileAppender<?> appender)`